<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// conex, config, login  global
	require("inc.global.php");

/******* CONFIGURACION  ***********/

$titulo = INGENIO_NOMBRE." ".INGENIO_VERSION;
$archivo_php = $_SERVER['SCRIPT_NAME'];

/******* CONFIGURACION FIN ********/

	$cadena_get_comple = $_SERVER['QUERY_STRING'];
	$cadena_get = strstr($_SERVER['QUERY_STRING'],"msj=1&");
	$no_get = $cadena_get_comple == "" ? 1 : 0 ;
	$tabla_get = "tabla=".COMENTARIOS;
	$campoid = "comenID";
	$ig = $_GET;
	$in = $_POST;
	
if (isset($in["guardar"]))
{
	
	
	$itemID = $in["itemID"];
	$nick = entrada_sin_tags_html(trim($in["nick"])) == "" ? "Anonymos" : $in["nick"] ; 
	$asunto = entrada_sin_tags_html($in["asunto"]); 
	$comentario = entrada_gral_html($in["comentario"]); 
		// ajuste de link
		if (entrada_sin_tags_html(trim($in["link"])) == "")
		{ 
			$link = "http://"; 
		} else {					
			$link = str_replace("http://","",$in["link"]);
			$link = "http://".$link;
		}
	$email = entrada_sin_tags_html($in["email"]);
	$fecha = datetime_gmt();
	$dir_ip = $_SERVER["REMOTE_ADDR"]." (admin)";
	$enabled = isset($in["enabled"]) ? $in["enabled"] : 0 ;
	$qs = "INSERT INTO ".COMENTARIOS." (itemID,nick,asunto,comentario,link,email,fecha,dir_ip,enabled) VALUES ('".$itemID."','".$nick."','".$asunto."','".$comentario."','".$link."','".$email."','".$fecha."','".$dir_ip."','".$enabled."')";
	myquery($qs,"[01]");
	$inid = myinsertid();
	
	Redir ($archivo_php."?".$campoid."=".$inid."&msj=1&".$in["listado_get"]);


}

if (isset($ig["comenID"]) || isset($in["comenID"]))
{
	// asignar ID gral
	$fileID_gral = isset($ig["comenID"]) ? $ig["comenID"] : $in["comenID"];
	
	
	if (isset($in["actualizar"]))
	{

		// asignar el ID
		$inid = $fileID_gral;
	
		$itemID = $in["itemID"];
		$nick = entrada_sin_tags_html(trim($in["nick"])) == "" ? "Anonymos" : $in["nick"] ; 
		$asunto = entrada_sin_tags_html($in["asunto"]); 
		$comentario = entrada_gral_html($in["comentario"]); 
			// ajuste de link
			if (entrada_sin_tags_html(trim($in["link"])) == "")
			{ 
				$link = "http://"; 
			} else {					
				$link = str_replace("http://","",$in["link"]);
				$link = "http://".$link;
			}
		$email = entrada_sin_tags_html($in["email"]);
		//$fecha = datetime_gmt();
		//$dir_ip = $_SERVER["REMOTE_ADDR"]." (admin)";
		$enabled = isset($in["enabled"]) ? $in["enabled"] : 0 ;
		$qs = "UPDATE ".COMENTARIOS." SET itemID='".$itemID."',nick='".$nick."',asunto='".$asunto."',comentario='".$comentario."',link='".$link."',email='".$email."',enabled='".$enabled."' WHERE comenID='".$fileID_gral."'";
		myquery($qs,"[04]");
		
		Redir ($archivo_php."?".$campoid."=".$inid."&msj=1&".$in["listado_get"]);

	}

	// extraer los datos de la base
	$qt = myquery("SELECT * FROM ".COMENTARIOS." WHERE comenID='".$fileID_gral."'","[05]");
	$row = myfetch($qt);


} else {


/***** NUEVO ******/

$row = array();
$row["comenID"] = "";
$row["itemID"] = "";
$row["nick"] = "";
$row["asunto"] = "";
$row["comentario"] = "";
$row["link"] = "http://";
$row["email"] = "";
$row["fecha"] = "";
$row["dir_ip"] = "";
$row["enabled"] = "1";

}

?>
<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3c.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<?php echo '<meta http-equiv="content-type" content="text/html; charset='.CONFIG_2.'" />'; ?>
<title><?php echo $titulo; ?></title>
<?php include("inc.head.php"); ?>
<?php include("inc.editor_tinymce.php"); ?>

<?php include("inc.formjs.php"); ?>

</head>
<body>

<table border="0" cellspacing="0" cellpadding="0" align="center">
<tr><td valign="top">

<?php include("inc.menu.php"); ?>

</td><td valign="top" width="100%">

<?php include("inc.copy.php"); ?>

<div class="contenido">

<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>
<div class="div_rotulo_top_sec">
<img class="img_icon_pag" src="../skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_editar.png" />
&nbsp;&nbsp;&nbsp;
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_146; ?></span>
</div>
<?php
	} else {
?>
<div class="div_rotulo_top_sec">
<img class="img_icon_pag" src="../skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_publicar.png" />
&nbsp;&nbsp;&nbsp;
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_13; ?></span>
</div>
<?php
	}
?>

<form enctype="multipart/form-data" action="<?php echo $archivo_php; ?>" onsubmit="return validar_ingreso(this);" method="post" name="principal">
<?php
	if (isset($ig["comenID"]) || isset($in["actualizar"]))
	{

		if ($cadena_get)
		{
			$listado_get = substr($cadena_get,6);
			
		} else {
						
			// si se entra desde la web
			if ($cadena_get_comple == $campoid."=".$fileID_gral)
			{
				$listado_get = str_replace($campoid."=".$fileID_gral, $tabla_get, $cadena_get_comple);
						
			} else {
			
				$listado_get = str_replace($campoid."=".$fileID_gral."&","", $cadena_get_comple);
			}
			
		}
		
		echo '<div class="rotulo">'.LEN_ADMIN_39.'</div>';
		
		// nuevo registro
		echo '<a title="'.salida_popups(LEN_ADMIN_51).'"';
		echo ' href="'.$archivo_php.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_publicar.png" />';
		echo '</a>';
		
		// gestionar
		echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_12).'"';
		echo ' href="listados.php?'.$listado_get.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_gestionar.png" />';
		echo '</a>';

		// borrar
		echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_145).'"';
		echo ' href="javascript:confirmar(\''.LEN_ADMIN_144.'\',\'listados.php?'.$tabla_get.'&res=bo&registro='.$fileID_gral.'\');"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_borrar.png" />';
		echo '</a>';
		echo '&nbsp;&nbsp;(#'.$fileID_gral.')';

		
	} else {
		echo '<div class="rotulo">'.LEN_ADMIN_51.'</div>';	

		// gestionar
		echo '<a title="'.salida_popups(LEN_ADMIN_12).'"';
		echo ' href="listados.php?'.$tabla_get.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_gestionar.png" />';
		echo '</a>';
	}

	if (isset($ig["msj"]))
	{
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_22.'</span>&nbsp;&nbsp;';
	
	}
?>
<br /><br />
<?php  echo LEN_ADMIN_63; ?>
&nbsp;<input type="checkbox" name="enabled"<?php if ($row["enabled"] == 1) { echo ' checked '; } ?> value="1">

<?php
	
	if (isset($ig["comenID"]) || isset($in["actualizar"])) {
		
		echo '<br /><br />';
		echo '<div class="div_destacar_grupos">';
		$corte_tit = 50;
		$q_tit = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$row["itemID"]."'");
		$row_tit = myfetch($q_tit);
	
		if (strlen($row_tit["titulo"]) > $corte_tit) { $mast="..."; } else { $mast=""; }
		
		echo '<a href="adm_'.ITEMS.'.php?itemID='.$row["itemID"].'" title="'.salida_popups($row_tit["titulo"]).'" class="conex_tip">'.substr($row_tit["titulo"],0,$corte_tit).$mast.'</a> (#'.$row_tit["itemID"].')';

		if ($row_tit["item_tipo"] == 2) // intranet
		{
			echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_346).'" class="conex_tip adcursor"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_intranet.png" /></a>';		
		}
		if ($row_tit["item_tipo"] == 3) // tienda
		{
			echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_360).'" class="conex_tip adcursor"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_tienda.png" /></a>';
		}

		echo '</div>';
		
	}

?>

<br /><br />
<div class="div_destacar_grupos">
<?php

	if ($no_get && !isset($in["actualizar"]))
	{
		echo '* '.LEN_ADMIN_64;
		echo '&nbsp;<select name="itemID">';
		echo '<option value="">'.LEN_ADMIN_79.'</option>';
		
	} else if (isset($ig["comenID"]) || isset($in["actualizar"])) {
		
		echo LEN_ADMIN_80;
		echo '&nbsp;<select name="itemID">';
		
	}
	
	// viene de adm_ig_items.php
	if (isset($ig["itemID"]))
	{
		$itemID_ver = $ig["itemID"];
		$corte_tit = 50;
		$q_tit = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$itemID_ver."'");
		$row_tit = myfetch($q_tit);
	
		if (strlen($row_tit["titulo"]) > $corte_tit) { $mast="..."; } else { $mast=""; }
		
		echo '<input type="hidden" name="itemID" value="'.$itemID_ver.'">';
		echo '<a href="adm_'.ITEMS.'.php?itemID='.$itemID_ver.'" title="'.salida_popups($row_tit["titulo"]).'" class="conex_tip">'.substr($row_tit["titulo"],0,$corte_tit).$mast.'</a> (#'.$row_tit["itemID"].')';
		
		if ($row_tit["item_tipo"] == 2) // intranet
		{
			echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_346).'" class="conex_tip adcursor"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_intranet.png" /></a>';		
		}
		if ($row_tit["item_tipo"] == 3) // tienda
		{
			echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_360).'" class="conex_tip adcursor"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_tienda.png" /></a>';
		}
	
	} else {

		$corte = 45;
		$qit = myquery("SELECT * FROM ".ITEMS." ORDER BY itemID ASC");
		while ($row_qit = myfetch($qit))
		{
			if (strlen($row_qit["titulo"]) > $corte) { $mas="..."; } else { $mas=""; }
			if ($row_qit["item_tipo"] == 2 ) { $masp=" [*]"; } else { $masp=""; } // intranet
			if ($row_qit["item_tipo"] == 3 ) { $mast=" [=]"; } else { $mast=""; } // tienda
			echo '<option value="'.$row_qit["itemID"].'"';
			if ($row["itemID"] == $row_qit["itemID"])
			{
				echo ' selected';
			}
			echo '>';
			echo $row_qit["itemID"]." - ".substr($row_qit["titulo"],0,$corte).$mas.$masp.$mast.'</option>';
		}

	}

		echo '</select>';

?>
</div>

<br /><br />
<div class="div_destacar_grupos">
<?php  echo LEN_ADMIN_81; ?>
&nbsp;<input name="nick" maxlength="100" value="<?php echo salida_editar_form($row['nick']); ?>" type="text" class="input_text">

<br /><br />
<?php  echo LEN_ADMIN_82; ?>
&nbsp;<input name="email" maxlength="255" value="<?php echo salida_editar_form($row['email']); ?>" type="text" class="input_text">

<br /><br />
* <?php  echo LEN_ADMIN_83; ?>
&nbsp;<input name="asunto" maxlength="255" value="<?php echo salida_editar_form($row['asunto']); ?>" type="text" class="input_text">

<br /><br />
<?php  echo LEN_ADMIN_84; ?>
&nbsp;<input name="link" maxlength="255" value="<?php echo salida_editar_form($row['link']); ?>" type="text" class="input_text">

<br /><br />
* <?php  echo LEN_ADMIN_85; ?>&nbsp;&nbsp;<input type="button" class="boton" onclick="toggleEditor('comentario');" value="<?php  echo LEN_ADMIN_78; ?>"><br /><br />
<textarea name="comentario" id="comentario" class="input_editor" rows="10"><?php echo $row["comentario"]; ?></textarea>
</div>

<br /><br />
<div class="div_destacar_grupos">
<?php  echo LEN_ADMIN_236; ?>
&nbsp;<strong><?php echo $row['fecha']; ?></strong>

<br /><br />
<?php  echo LEN_ADMIN_238; ?>
&nbsp;<strong><?php echo $row['dir_ip']; ?></strong>
</div>

<div style="text-align:center;margin:20px 0px 20px 0px;">
<?php
	if (isset($ig["comenID"]) || isset($in["actualizar"]))
	{
?>
<input type="submit" value="<?php echo LEN_ADMIN_17;?>" class="boton">
<input type="hidden" name="<?php echo $campoid; ?>" value="<?php echo $fileID_gral; ?>">
<input type="hidden" name="actualizar" value="1">
<input type="hidden" name="listado_get" value="<?php echo $listado_get; ?>">
<?php
	} else {
?>
<input type="submit" value="<?php echo LEN_ADMIN_16;?>" class="boton">
<input type="hidden" name="guardar" value="1">
<input type="hidden" name="listado_get" value="<?php echo $tabla_get; ?>">
&nbsp;&nbsp;&nbsp;<input type="reset" value="<?php echo LEN_ADMIN_18;?>" class="boton">
<?php
	}
?>
</div>

</form>
</div>

</td></tr></table>

</body>
</html>
<?php
	include("inc.fin.php");
?>